Results 1 to 3 of 3

Thread: your device isn't compatible with this version..?

  1. #1
    Forum Superstar Defiant's Avatar
    Join Date
    Dec 2013
    Location
    Forum Illuminati God
    Posts
    3,239

    your device isn't compatible with this version..?

    I have my LG escape 2 fully updated and everything. when i saw there was an update I went to the clash of clans google play store page and it gave me the "your device isn't compatible with this version" message. Any solutions?

    things ive tried,

    uninstalling updates for the google play store
    clearing the cache and data for the google play store
    restarting my device
    clearing the cache and data for download manager
    Last edited by Defiant; January 27th, 2016 at 04:25 AM.

  2. #2
    Forum Hero Aspex's Avatar
    Join Date
    Sep 2015
    Posts
    7,636
    I'd try one more reboot (as you haven't restarted since clearing the Download Manager cache and data) then, if still no joy, download the apk from:
    http://www.apkmirror.com/apk/superce...-apk-download/
    Last edited by Aspex; January 27th, 2016 at 05:21 AM. Reason: Unclosed bracket

  3. #3
    Quote Originally Posted by Defiant View Post
    I have my LG escape 2 fully updated and everything. when i saw there was an update I went to the clash of clans google play store page and it gave me the "your device isn't compatible with this version" message. Any solutions?

    things ive tried,

    uninstalling updates for the google play store
    clearing the cache and data for the google play store
    restarting my device
    clearing the cache and data for download manager

    Instead of going to the google play store for CoC to update, go to your apps(In the google play store) It should have CoC needing an update, just click "update all" and voila it updates

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •